use chrono::{DateTime, Utc};
use serde::Serialize;

#[derive(Debug, Serialize)]
pub struct Post {
    pub id: i32,
    pub tags: String,
    pub filename: String,
    pub content_type: String,
    pub hash: String,
    pub size: i32,
    pub source: Option<String>,

    pub created_at: DateTime<Utc>,
}
